#!/usr/bin/sh
###################################################################
# Name:         Bourne shell script mqllm.sh
# Created:      2002/03/12 by Tim von Niessen
# Descr:        Script to launch MQSeries Linear Logfile Maintenance
###################################################################
# Validate input parms
if [ $# -ne 1 ] ; then
        echo Invalid parameters specified\; Queue Manager name must be specified
        exit 86
fi
###################################################################
NOW=`date +"%Y%m%d"`
# Set runtime variables
export CLASSPATH=/AIM/java/mqllm.jar
ARCHDIR=/mqm/log/archive
LOGFILE=/AIM/logs/run.$NOW.log

java com.ibm.aim.logfile.AimMqLinearLogfileMaint -v -l $LOGFILE -a $ARCHDIR -q $1
###################################################################
exit $?
